<?php

namespace Ems\portalGestor\Controller;

use Ems\portalGestor\Service\HierarquiaService;
use Ems\portalGestor\Util\ExpectedException;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

class HierarquiaController {
    /** @var HierarquiaService */
    protected $hierarquiaService;

    public function __construct(
        HierarquiaService $hierarquiaService
    ) {
        $this->hierarquiaService = $hierarquiaService;
    }

    public function getTiposHierarquia(
        DTO\Request\Filter  $request,
        DTO\Response        $response
    ) {
        try {
            $row = $request->getParameters();
            $nrOrg = (int) $row['NRORG'];

            $tiposHierarquia = $this->hierarquiaService->getTiposHierarquia($nrOrg);

            $response->addDataSet(new DataSet('data', $tiposHierarquia));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode(), $e->getTrace()));
        }
    }

}
